TBSCertificate (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.x509

## Class TBSCertificate

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.TBSCertificate

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class TBSCertificate
      extends ASN1Object

  The TBSCertificate object.

       TBSCertificate ::= SEQUENCE {
            version          [ 0 ]  Version DEFAULT v1(0),
            serialNumber            CertificateSerialNumber,
            signature               AlgorithmIdentifier,
            issuer                  Name,
            validity                Validity,
            subject                 Name,
            subjectPublicKeyInfo    SubjectPublicKeyInfo,
            issuerUniqueID    [ 1 ] IMPLICIT UniqueIdentifier OPTIONAL,
            subjectUniqueID   [ 2 ] IMPLICIT UniqueIdentifier OPTIONAL,
            extensions        [ 3 ] Extensions OPTIONAL
            }

  Note: issuerUniqueID and subjectUniqueID are both deprecated by the IETF. This class will parse them, but you really shouldn't be creating new ones.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Time` | `getEndDate()`
    `Extensions` | `getExtensions()`
    `static TBSCertificate` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static TBSCertificate` | `getInstance(java.lang.Object obj)`
    `X500Name` | `getIssuer()`
    `DERBitString` | `getIssuerUniqueId()`
    `ASN1Integer` | `getSerialNumber()`
    `AlgorithmIdentifier` | `getSignature()`
    `Time` | `getStartDate()`
    `X500Name` | `getSubject()`
    `SubjectPublicKeyInfo` | `getSubjectPublicKeyInfo()`
    `DERBitString` | `getSubjectUniqueId()`
    `ASN1Integer` | `getVersion()`
    `int` | `getVersionNumber()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static TBSCertificate getInstance(ASN1TaggedObject obj,
                                   boolean explicit)

    - #### getInstance

          public static TBSCertificate getInstance(java.lang.Object obj)

    - #### getVersionNumber

          public int getVersionNumber()

    - #### getVersion

          public ASN1Integer getVersion()

    - #### getSerialNumber

          public ASN1Integer getSerialNumber()

    - #### getSignature

          public AlgorithmIdentifier getSignature()

    - #### getIssuer

          public X500Name getIssuer()

    - #### getStartDate

          public Time getStartDate()

    - #### getEndDate

          public Time getEndDate()

    - #### getSubject

          public X500Name getSubject()

    - #### getSubjectPublicKeyInfo

          public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

    - #### getIssuerUniqueId

          public DERBitString getIssuerUniqueId()

    - #### getSubjectUniqueId

          public DERBitString getSubjectUniqueId()

    - #### getExtensions

          public Extensions getExtensions()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.